import React from 'react';
import styled from '@emotion/styled';

import { size, rem } from 'polished';
import { Colors } from '../../assets/styles/colors';

const BackIconSvg = styled.svg`
  ${size(rem('18px'), rem('18px'))};
`;

const BackIconG = styled.g`
  ${size(rem('18px'), rem('18px'))};
`;

const BackIconPath = styled.path`
  fill: ${Colors.GreyText};
`;

export const BackIcon = () => {
  return (
    <BackIconSvg>
      <BackIconG>
        <BackIconPath
          d="M 17.121094 7.210938 C 16.871094 6.921875 16.546875 6.777344 16.144531 6.777344 L 8.015625 6.777344 L 11.398438 3.394531 C 11.691406
          3.101562 11.835938 2.753906 11.835938 2.34375 C 11.835938 1.9375 11.691406 1.585938 11.398438 1.292969 L 10.53125 0.4375 C 10.238281
          0.144531 9.894531 0 9.492188 0 C 9.085938 0 8.734375 0.144531 8.441406 0.4375 L 0.925781 7.945312 C 0.640625 8.246094 0.496094 8.597656
          0.496094 8.996094 C 0.496094 9.40625 0.640625 9.75 0.925781 10.035156 L 8.441406 17.566406 C 8.742188 17.851562 9.09375 17.992188 9.492188
          17.992188 C 9.902344 17.992188 10.246094 17.851562 10.53125 17.566406 L 11.398438 16.6875 C 11.691406 16.410156 11.835938 16.0625 11.835938
          15.648438 C 11.835938 15.234375 11.691406 14.886719 11.398438 14.609375 L 8.015625 11.214844 L 16.144531 11.214844 C 16.546875 11.214844
          16.871094 11.070312 17.121094 10.78125 C 17.371094 10.492188 17.496094 10.144531 17.496094 9.734375 L 17.496094 8.257812 C 17.496094 7.847656
          17.371094 7.5 17.121094 7.210938 Z M 17.121094 7.210938"
        />
      </BackIconG>
    </BackIconSvg>
  );
};
